# ---------------------------------------------------------------------------------------------------------------------------
# Correlation
# ---------------------------------------------------------------------------------------------------------------------------


correlation <- function(mydata, myvariables, variables, group = NULL, method = c("Pearson","Spearman")){
    if((length(variables)==2) & (any(grepl("pv",variables))== TRUE)){
        # EdSurvey
        mycorr <- cor.sdf(x = variables[1],y = variables[2], data = Pisa.data, method = method, weightVar="w_fstuwt")
    } else {
        # BIFIEsurvey
        if(any(grepl("pv",variables))== TRUE){
            bdat <- BIFI_data(mydata)
        } else {
            bdat <- BIFI_data_pv(mydata, myvariables)
        }
        mycorr <- as.list(1:4)
        corr <- BIFIE.correl(bdat,vars = variables, group = group, se = TRUE)
        mycorr[[1]] <- corr[["stat.cor"]]
        mycorr[[2]] <- corr[["cor_matrix"]]
        mycorr[[3]] <- corr[["stat.cov"]]
        mycorr[[4]] <- corr[["cov_matrix"]]
        names(mycorr) <- c("Correlation statistic","Correlation matrix","Covariance statistic","Covariance matrix")
    }
    return(mycorr)
}
