# ---------------------------------------------------------------------------------------------------------------------------
# Data downloading
# ---------------------------------------------------------------------------------------------------------------------------

## Downloading PISA, TIMSS and PIRLS data

data_download <- function(root, ILSA=c("PISA","TIMSS","PIRLS"), years=c(2015, 2016, 2018, 2019)){
    validILSA <- c("PISA","TIMSS","PIRLS")
    if (!ILSA %in% validILSA){
        stop(paste("This tool does not process",ILSA,"data\n"))
    } else {
        if (ILSA == "PISA"){
            validyear <- c(2015, 2018)
            if (!years %in% validyear){
                stop(paste("This tool does not process",ILSA,years,"data. Valid years: 2015 and 2018.\n"))
            } else {
                downloadPISA(root,years)
            }
        } else if (ILSA == "TIMSS"){
            validyear <- c(2015, 2019)
            if (!years %in% validyear){
                stop(paste("This tool does not process",ILSA,years,"data. Valid years: 2015 and 2019.\n"))
            } else {
                downloadTIMSS(root,years)
            }
        } else if (ILSA == "PIRLS"){
            validyear <- c(2016)
            if (!years %in% validyear){
                stop(paste("This tool does not process",ILSA,years,"data. Valid years: 2016.\n"))
            } else {
                downloadPIRLS(root,years)
            }
        }
    }
}
